import { Mock, PageContent } from '@/types/index';
declare type MockOptions = {
    extendContent?: PageContent;
    mocks: Mock[];
    applicationId: string;
};
/**
 * content mock
 * @param data
 * @param opt
 * @returns mocked page template
 */
export declare function mock(data: PageContent, opt: MockOptions): PageContent | null;
export {};
